# Interface: CreateNodesContext

Context for [CreateNodesFunction](../../devkit/documents/CreateNodesFunction)

## Table of contents

### Properties

- [nxJsonConfiguration](../../devkit/documents/CreateNodesContext#nxjsonconfiguration): NxJsonConfiguration&lt;string[] | &quot;\*&quot;&gt;
- [workspaceRoot](../../devkit/documents/CreateNodesContext#workspaceroot): string

## Properties

### nxJsonConfiguration

• `Readonly` **nxJsonConfiguration**: [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration)<`string`[] \| `"*"`\>

---

### workspaceRoot

• `Readonly` **workspaceRoot**: `string`
